Subject: RECORD: cultural words

From: [email-masked]
Date: Thu, 18 May 2000 04:54:27 EDT

The CCVVCV format for cultural fu'ivla seems to work and should be used, when 
lujvo
are objectioned to strongly, in favor of pseudo-gismu. Thus, {kraibe} for 
Carribean,
rather than *{krabo}. Replacements ought to be sought for other *-forms that 
have
arisen: xorvo, norgo, talno, turko, loglo, spero -- and probably others 
(admittedly,
nothing immediately suggests itself for any of these that would please a 
native: xro'ato?
tri,uko? ...)